<?
$our_url='wminvest.com'; // URL
$rb_lg='login';
$rb_ps1='password1';
$our_name='WMInvest™'; // Имя проекта
$straf='0.15'; // Сколько потеряет при досрочном снятии
$minimum_out='2'; // Минимальная сумма для снятия денег
$on_reg='0.1'; // Начисления при регистрации
list($forref)=file("refprc.txt");
?>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<meta name="description" content="WMInvest - инвестиционный фонд. Хотите хорошо зарабатывать, тогда присоединяйтесь к фонду WMInvest и Ваша ЕЖЕМЕСЯЧНАЯ ПРИБЫЛЬ составит 7.8-16% от вложенных средств. При регистрации - бонус 0.10$.">
<meta name="keywords" content="деньги фонд инвестиции заработок money webmoney инвестиционный фонд проценты">
<meta http-equiv="Content-Language" content="ru">
<title><?=$our_name?> - инвестиционный фонд.</title>
<link href="style.css" rel="stylesheet" type="text/css">
</head>

<BODY bgcolor="#ffe2c6" TEXT="#000000" LINK="#0000FF" VLINK="#800080">
<form method="post" name="np">
<input type="hidden" name="login" value="<?=$login?>">
<input type="hidden" name="pass" value="<?=$pass?>">
</form>
<TABLE width="80%" border="0" cellpadding="0" cellspacing="0" align="center">
<tr>
<td align="center"><img align="left" border="0" alt="Логотип" src="img/logo.gif"></td>
<td align="center">

<!-----------Begin AffiliateNetwork.ru code---------->
<img src="http://www.affiliatenetwork.ru/c/view.php?OFID=118&AFID=740&CRID=316" width="1" height="1" border="0"><a href="http://www.affiliatenetwork.ru/c/?OFID=118&AFID=740&CRID=316">	<img src="http://www.affiliatenetwork.ru/banners/215/265.jpg" width="468" height="60" border="0">
	</a>
<!----------End AffiliateNetwork.ru code---------->

</td>
</tr>
</table>

<table width="90%" border="0" cellpadding="0" cellspacing="0" align="center">
<tr>
<td width="150" bgcolor="#ffe2c6" valign="top"> <br>
<table  border="1" cellpadding="2" cellspacing="0" width="100%" align="center" bgcolor="#ffe2c6" bordercolor="#804000">
<tr bgcolor="#804000">
<td align="center"><b><font color="#ffe2c6">Меню</font></b></td>
</tr>
<?
include('connect_to_base.php');

$result=mysql_query("select * from invest_users where login='$login' and pass='$pass'",$cnct);
if (mysql_num_rows($result)==0){echo '<tr>
<td align="center" nowrap bgcolor="#fff5ec"><a href="?mod=reg">Регистрация</a></td>
</tr>

<tr>
<td align="center" bgcolor="#fff5ec"><a href="?mod=princ">Принцип работы</a></td>
</tr>';}
else {
$data=mysql_fetch_object($result);
echo '<tr>
<td align="center" nowrap bgcolor="#fff5ec">
<script>
function thepage(pname){
  np.action="?mod="+pname
  np.submit();
}
</script>
<a href="javascript:thepage(\'stat\')"><strong>Статистика</strong></a></td>
</tr><tr>
<td align="center" bgcolor="#fff5ec"><a href="javascript:thepage(\'vklad\')"><strong>Сделать вклад</strong></a></td>
</tr><tr>
<td align="center" bgcolor="#fff5ec"><a href="javascript:thepage(\'moneyin\')"><strong>Ввести деньги</strong></a></td>
</tr><tr>
<td align="center" bgcolor="#fff5ec"><a href="javascript:thepage(\'getcash\')"><strong>Вывести деньги</strong></a></td>
</tr><tr>
<td align="center" bgcolor="#fff5ec"><a href="javascript:thepage(\'edit\')"><strong>Изменить данные</strong></a></td>
</tr><tr>
<td align="center" bgcolor="#fff5ec">Баланс: <strong>'.($data->balance*2/2).'$</strong></td>
</tr>';
}
?>
</table>
<br>
<table border="1" cellpadding="2" cellspacing="0" width="100%" height="90" align="center" bgcolor="#ffe2c6" bordercolor="#804000">

<form action="?mod=stat" method="post">
<tr>
<td align="right">Логин:</td>
<td align="center"><input size="8" name="login" class="inp"></td>
</tr>
<tr>
<td align="right">Пароль:</td>
<td align=center><input type="password" size="8" value name="pass" class="inp"></td>
</tr>
<tr>
<td align="center" colspan="2">
<INPUT alt="Вход" class="but" type="submit" value="::: Вход :::">
<br>
<a href="?mod=lost"><font face="arial, verbana" size="1">Забыли пароль?</font></a>
</td></tr></form>
</table>
<center><br>

<p>
<!--Rating@Mail.ru COUNTER--><script language="JavaScript" type="text/javascript"><!--
d=document;var a='';a+=';r='+escape(d.referrer)
js=10//--></script><script language="JavaScript1.1" type="text/javascript"><!--
a+=';j='+navigator.javaEnabled()
js=11//--></script><script language="JavaScript1.2" type="text/javascript"><!--
s=screen;a+=';s='+s.width+'*'+s.height
a+=';d='+(s.colorDepth?s.colorDepth:s.pixelDepth)
js=12//--></script><script language="JavaScript1.3" type="text/javascript"><!--
js=13//--></script><script language="JavaScript" type="text/javascript"><!--
d.write('<a href="http://top.mail.ru/jump?from=672610"'+
' target=_top><img src="http://top.list.ru/counter'+
'?id=672610;t=55;js='+js+a+';rand='+Math.random()+
'" alt="Рейтинг@Mail.ru"'+' border=0 height=31 width=88/><\/a>')
if(11<js)d.write('<'+'!-- ')//--></script><noscript><a
target=_top href="http://top.mail.ru/jump?from=672610"><img
src="http://top.list.ru/counter?js=na;id=672610;t=55"
border=0 height=31 width=88
alt="Рейтинг@Mail.ru"/></a></noscript><script language="JavaScript" type="text/javascript"><!--
if(11<js)d.write('--'+'>')//--></script><!--/COUNTER-->
<p>
<!-- HotLog -->
<script language="javascript">
hotlog_js="1.0";
hotlog_r=""+Math.random()+"&s=151610&im=115&r="+escape(document.referrer)+"&pg="+
escape(window.location.href);
document.cookie="hotlog=1; path=/"; hotlog_r+="&c="+(document.cookie?"Y":"N");
</script><script language="javascript1.1">
hotlog_js="1.1";hotlog_r+="&j="+(navigator.javaEnabled()?"Y":"N")</script>
<script language="javascript1.2">
hotlog_js="1.2";
hotlog_r+="&wh="+screen.width+'x'+screen.height+"&px="+
(((navigator.appName.substring(0,3)=="Mic"))?
screen.colorDepth:screen.pixelDepth)</script>
<script language="javascript1.3">hotlog_js="1.3"</script>
<script language="javascript">hotlog_r+="&js="+hotlog_js;
document.write("<a href='http://click.hotlog.ru/?151610' target='_top'><img "+
" src='http://hit6.hotlog.ru/cgi-bin/hotlog/count?"+
hotlog_r+"&' border=0 width=88 height=31 alt=HotLog></a>")</script>
<noscript><a href=http://click.hotlog.ru/?151610 target=_top><img
src="http://hit6.hotlog.ru/cgi-bin/hotlog/count?s=151610&im=115" border=0
width="88" height="31" alt="HotLog"></a></noscript>
<!-- /HotLog -->
<p>
<!-- SpyLOG f:0211 -->
<script language="javascript"><!--
Mu="u5201.08.spylog.com";Md=document;Mnv=navigator;Mp=0;
Md.cookie="b=b";Mc=0;if(Md.cookie)Mc=1;Mrn=Math.random();
Mn=(Mnv.appName.substring(0,2)=="Mi")?0:1;Mt=(new Date()).getTimezoneOffset();
Mz="p="+Mp+"&rn="+Mrn+"&c="+Mc+"&t="+Mt;
if(self!=top){Mfr=1;}else{Mfr=0;}Msl="1.0";
//--></script><script language="javascript1.1"><!--
Mpl="";Msl="1.1";Mj = (Mnv.javaEnabled()?"Y":"N");Mz+='&j='+Mj;
//--></script><script language="javascript1.2"><!-- 
Msl="1.2";Ms=screen;Mpx=(Mn==0)?Ms.colorDepth:Ms.pixelDepth;
Mz+="&wh="+Ms.width+'x'+Ms.height+"&px="+Mpx;
//--></script><script language="javascript1.3"><!--
Msl="1.3";//--></script><script language="javascript"><!--
My="";My+="<a href='http://"+Mu+"/cnt?cid=520108&f=3&p="+Mp+"&rn="+Mrn+"' target='_blank'>";
My+="<img src='http://"+Mu+"/cnt?cid=520108&"+Mz+"&sl="+Msl+"&r="+escape(Md.referrer)+"&fr="+Mfr+"&pg="+escape(window.location.href);
My+="' border=0 width=88 height=31 alt='SpyLOG'>";
My+="</a>";Md.write(My);//--></script><noscript>
<a href="http://u5201.08.spylog.com/cnt?cid=520108&f=3&p=0" target="_blank">
<img src="http://u5201.08.spylog.com/cnt?cid=520108&p=0" alt='SpyLOG' border='0' width=88 height=31 >
</a></noscript>
<!-- SpyLOG -->
<p>
<!-- Begin Finam Top -->
<a href='http://www.finam.ru' target=_blank>
<img width=88 height=31 border=0
src='http://top.finam.ru/proc/getbnr.gif?sid=1991&id=3&sch=2'>
</a>
<!-- End Finam Top -->


</center>
</td>
<td valign="top">
<center><br><script src="img/dopmenu.js"></script><script src="img/menu_.js"></script></center><br>
<table border="0" cellpadding="1" cellspacing="0" width="93%" bgcolor="#ffe2c6" align="center">
<tr><td>

<?
if (($mod=='')or(!isset($mod))or($mod=='index')){ // Главная
$result=mysql_query("select * from invest_invest",$cnct);
$v1=mysql_num_rows($result);
$result=mysql_query("select * from invest_invest where DATE_FORMAT(NOW(),\"%Y-%m-%d\") <= data",$cnct);
$v2=mysql_num_rows($result);
$result=mysql_query("select sum(summ) as x from invest_invest",$cnct);
$data=mysql_fetch_object($result);
$v3=$data->x;
$result=mysql_query("select sum(summ) as x from invest_invest where DATE_FORMAT(NOW(),\"%Y-%m-%d\") <= data",$cnct);
$data=mysql_fetch_object($result);
$v4=$data->x;
$result=mysql_query("select * from invest_users",$cnct);
$v5=mysql_num_rows($result);
$result=mysql_query("select * from invest_users where DATE_FORMAT(NOW(),\"%Y-%m-%d\") <= data",$cnct);
$v6=mysql_num_rows($result);
echo '
<marquee width=450 scrollammount="1">
<font color="#804000"><b>Статистика (всего/сегодня):</b>
Вкладов: '.$v1.'/'.$v2.',
сумма: '.$v3.'$/'.$v4.'$,
пользователей: '.$v5.'/'.$v6.'.</font>
</marquee><br>
<font size="4"><SCRIPT language=JavaScript>var time = new Date(); var m; var h=time.getHours(); if ((h>=6) && (h<12)) m="Доброе утро"; if ((h>=12) && (h<18)) m="Добрый день"; if (h>=18) m="Добрый вечер"; if (h<6) m="Доброй ночи"; document.write("<font color=\'#804000\'>"+m+", <b>уважаемый посетитель!</b></font>")</SCRIPT></font>
<p>
Мы рады видеть Вас на сайте <B>'.$our_name.'</B>.
<br>
<b>'.$our_name.'</b> - это инвестиционный фонд, который преумножит Ваши деньги.<p>
Нашим вкладчикам мы выплачиваем до <b>';
$result=mysql_query("select * from invest_percents order by per_month desc",$cnct);
$data=mysql_fetch_object($result);
echo (($data->per_month*2)/2).'% в месяц</b>. Думаете это не возможно?  Попробуйте и Вы убедитесь, что нет ничего не возможного с <b>'.$our_name.'</b>.<p>
<center><font size="3" color="#804000"><b>При регистрации - бонус 0.10$</b></font></center>
<p>
Наш фонд работает пока только с on-line вкладчиками, которые пользуются системами электронных платежей <a href="webmoney.htm"><b>WebMoneyTransfer</b></a>, <a href="http://www.e-gold.com"><b>E-gold</b></a>, <a href="http://money.yandex.ru"><b>Яндекс.Деньги</b></a>, <a href="http://imoney.com.ua"><b>UAH imoney</b></a>, <a href="http://www.cyphermint.com"><b>USD Cyphermint</b></a>, <a href="http://www.paycasheuro.com"><b>EUR PayCash</b></a>, <a href="http://www.e-port.ru"><b>E-port</b></a> и <a href="http://www.paymer.ru"><b>PayMer</b></a> возможно позже, мы сможем принимать вклады и другими способами.
А также, у нас существует <b>система рефералов</b> с одним уровнем. Выплаты по ней составят <b>'.($forref*100).'%
от вклада,</b> сделанного рефералом.
<p>
Для более подробной информации посетите раздел <a href="?mod=princ"><b>"Принцип работы"</b></a>.<br>

Если Вы решили зарегистрироваться, то переходите к разделу <a href="?mod=reg"><b>"Регистрация"</b></a>.
<p>
<table  border="0" cellpadding="2" cellspacing="0" width="114" align="center" bgcolor="#ffe2c6" bordercolor="#804000">
<td align="center">
<a href="https://certsrv.webmoney.ru/certview.asp?wmid=688106003923"><img src="img/atestat.gif" border="0"></a>
</tr>
</table>';
}

elseif ($mod=='contact'){ // Контакты
echo '<font size="4" color="#804000">Контактная информация</font><p>
<font size="2">
&nbsp;&nbsp;&nbsp;E-mail: <a href="mailto:admin@'.$our_url.'"><b>admin@'.$our_url.'</b></a><br>
&nbsp;&nbsp;&nbsp;ICQ: <b>166591301</b><br>
</font>';
}

elseif ($mod=='princ'){ // Принципы
echo '<font size="4" color="#804000">Принцип работы</font><p>
В данном разделе Вы можете узнать о том, как работать с нашим фондом.
<p>
Для начала работы с нами, Вам надо зарегистрироваться. После чего, Вы получите письмо на указанный Вами e-mail с поздравлениями о регистрации, логином, паролем и ссылкой для регистрации рефералов.<br>
Теперь Вы являетесь полноправным членом <b>'.$our_name.'</b>
<br>Выплаты  процетов будут производится согласно таблицам ниже.
<p>
<center>';

function vivod($txt,$cnt,$cnct){
echo '<b>"'.$txt.'"</b> - вклад сделанный на '.$cnt.' дней.
<table align="center" border="1" bordercolor="#804000" cellpadding="2" cellspacing="0" width="70%">
<tr align="center" bgcolor="#804000">
<td width="45%"><font color="#ffe2c6"><b>Сумма в у.е.</b></font></td>
<td nowrap><font color="#ffe2c6"><b>Ежемесячный %</b></font></td>
</tr>';
$result=mysql_query("select * from invest_percents where min_period=$cnt order by min_s",$cnct);
for ($i=0;$i<mysql_num_rows($result);$i++){
  $data=mysql_fetch_object($result);
  if (($i/2)==ceil($i/2)){$color='fff5ec';}else{$color='ffe2c6';}
  echo '</tr>
  <tr align="center" bgcolor="#'.$color.'" valign="top">
  <td align="center">'.$data->min_s.' - '.$data->max_s.'</td>
  <td>'.$data->per_month.'</td>
  </tr>';
}
echo '</table><br>';
}
vivod('Тридцатидневный',30,$cnct);
vivod('Трехмесячный',90,$cnct);
vivod('Полугодовой',180,$cnct);
echo '</center>';
}

elseif($mod=='reg'){ // Регистрация
echo '<font size="4" color="#804000">Регистрация</font><p>
<form action="?mod=reg_complete" method="post" name="registration_form">

<font size="2">Пожалуйста, заполните все поля в форме правильно!<br>
Ваш пароль будет выслан Вам на e-mail.<br>
<br>
Любой пользователь, зарегистрировавшийся в качестве участника
<b>'.$our_name.'</b>, тем самым подтверждает свое согласие с данными правилами.
<br><br>
<b>'.$our_name.'</b> и пользователи системы договариваются о следующем:<br>
1. <b>'.$our_name.'</b> использует для расчета c пользователями электронные деньги (WebMoney).<br>
2. Минимальный срок вклада 30 дней.<br>
3. Проценты начисляются в 00:00 по московскому времени.<br>
4. Минимальный вклад равен 1$, максимального не существует.<br>
5. Минимальная сумма для снятия денег '.$minimum_out.'$.<br>
6. Перевод денег после заказа осуществляется в течении 3-5 банковских дней за вычетом комиссии 1%.<br>
7. Пользователь, который ввел средства на счет в <b>'.$our_name.'</b>, сможет их вывести только по истечении 30-ти дней.<br>
8. Если пользователь решит забрать сумму до истечения срока вклада, он теряет 15% от вклада и проценты начисленные с момента создания вклада.<br>
9. Реферал система имеет 1 уровень, т.е. каждый, кто приведет человека в нашу систему,
получит '.($forref*100).'% от начислений на все его вклады.<br>
10. Разрешается иметь только одну учетную запись.<br>
Все действия, направленные против администрации <b>'.$our_name.'</b> караются удалением аккаунта
без возврата вложенных средств или административным взысканием.

</font><br><br>
<table celpadding="2" cellspacing="0" border="0" width="90%">
<tr><td align="right" width="45%">Логин:&nbsp;</td>
<td width="55%"><input type="text" class="inp" name="login"></td></tr>
<tr><td align="right" width="45%">WMID:&nbsp;</td>
<td width="55%"><input type="text" class="inp" name="wmid"></td></tr>
<tr><td align="right" width="45%">Z-кошелек:&nbsp;</td>
<td width="55%"><input type="text" class="inp" name="purse" value="Z"></td></tr>
<tr><td align="right" width="45%">E-mail:&nbsp;</td>
<td width="55%"><input type="text" class="inp" name="email"></td></tr>
<tr><td align="right" width="45%">Реферал Id (не обяз.):&nbsp;</td>
<td width="55%"><input type="text" class="inp" name="refid" value="'.$comefrom.'"></td></tr>
<tr><td align="center" colspan="2"><input type="submit" value="Зарегистрироваться!" class="inp"></td></tr>
</table></form>';
}

elseif($mod=='reg_complete'){ // Завершение регистрации
echo '<font size="4" color="#804000">Завершение регистрации</font><p><center>
<font size="2"><b>';
$result=mysql_query("select * from invest_users where login='$login'",$cnct);
$result2=mysql_query("select * from invest_users where email='$email'",$cnct);
$result3=mysql_query("select * from invest_users where wmid='$wmid'",$cnct);
$result4=mysql_query("select * from invest_users where purse='$purse'",$cnct);
if (strlen($login)<2){echo 'Минимальная длина логина 2 символа!';}
elseif (strlen($login)>20){echo 'Максимальная длина логина 20 символов!';}
elseif (mysql_num_rows($result)!=0){echo 'Данный логин уже занят - введите другой логин!';}
elseif (strlen($wmid)!=12){echo 'Длина WMID должна быть равна 12 символам!';}
elseif (mysql_num_rows($result2)!=0){echo 'На данный e-mail уже была регистрация!';}
elseif (mysql_num_rows($result3)!=0){echo 'На данный wmid уже была регистрация!';}
elseif (mysql_num_rows($result4)!=0){echo 'На данный кошелек уже была регистрация!';}
elseif (substr($purse,0,1)!='Z'){echo 'Кошелек должен начинаться с большой буквы Z!';}
elseif (strlen($purse)!=13){echo 'Длина кошелька должна быть равна 13 символам!';}
else {
  echo 'Регистрация прошла успешно!<br>
  На указанный e-mail ('.$email.') выслано письмо с вашим паролем для входа.<br>
  Ваш пароль вы сможете изменить после входа в аккаунт.';
  $pass=rand(1,9).rand(1,9).rand(1,9).rand(1,9).rand(1,9).rand(1,9).rand(1,9).rand(1,9).rand(1,9).rand(1,9);
  $result=mysql_query("insert into invest_users (data,login,pass,wmid,purse,email,balance,ref_id)
  values (NOW(),'$login','$pass','$wmid','$purse','$email','$on_reg','$refid')",$cnct);
  $subj=convert_cyr_string('Регистрация в инвестиционном фонде '.$our_name.'.',w,k);
  $msg=convert_cyr_string('Регистрация в '.$our_name.' прошла успешно!

--------------------------------------------------------

Ваши данные для входа в аккаунт:
Логин: '.$login.'
Пароль: '.$pass.'

--------------------------------------------------------',w,k);
  mail($email,$subj,$msg);
}
echo '</b>';
}

elseif($mod=='enter'){ // Вход в аккаунт
echo '<font size="4" color="#804000">Вход в аккаунт</font><p>
<form action="?mod=stat" method="post" name="enter_form">
<center>
<font size="2">Введите ваш логин и пароль в системе.</font><br><br>
<table celpadding="2" cellspacing="0" border="0" width="90%">
<tr><td align="right" width="45%">Логин:&nbsp;</td>
<td width="55%"><input type="text" class="inp" name="login"></td></tr>
<tr><td align="right" width="45%">Пароль:&nbsp;</td>
<td width="55%"><input type="password" class="inp" name="pass"></td></tr>
<tr><td align="center" colspan="2"><input type="submit" value="Войти!" class="inp"></td></tr>
<tr><td align="center" colspan="2"><a href="?mod=lost">Забыли пароль?</a></td></tr>
</table></center></form>';
}

elseif($mod=='lost'){ // Забытый пароль
echo '<font size="4" color="#804000">Забытый пароль</font><p>
<form action="?mod=lost2" method="post" name="lostpsw_form">
<center>
<font size="2">Введите ваш e-mail в системе.</font><br><br>
<table celpadding="2" cellspacing="0" border="0" width="90%">
<tr><td align="right" width="45%">E-mail:&nbsp;</td>
<td width="55%"><input type="text" class="inp" name="email"></td></tr>
<tr><td align="center" colspan="2"><input type="submit" value="Выслать пароль!" class="inp"></td></tr>
</table></center></form>';
}

elseif($mod=='lost2'){ // Забытый пароль
echo '<font size="4" color="#804000">Отсылка пароля</font><p><center><b>';
$result=mysql_query("select * from invest_users where email='$email'",$cnct);
if (mysql_num_rows($result)==0){echo 'Данного e-mail нет в базе. Будте внимательны: система чувствительна к регистру.';}
else {echo 'Пароль удачно отослан на '.$email.'!';
$data=mysql_fetch_object($result);
$subj=convert_cyr_string('Забытый пароль в инвестиционном фонде '.$our_name.'.',w,k);
$msg=convert_cyr_string('Это письмо отправлено с сайта http://www.'.$our_url.' с Вашими данными в системе.

--------------------------------------------------------

Ваши данные для входа в аккаунт:
Логин: '.$data->login.'
Пароль: '.$data->pass.'

--------------------------------------------------------',w,k);

mail($data->email,$subj,$msg);
}
echo '</b>';
}

elseif($mod=='stat'){ // Статистика
echo '<font size="4" color="#804000">Статистика по вашим вкладам</font><p><font size="2" color="#804000">';
$result=mysql_query("select * from invest_users where login='$login' and pass='$pass'",$cnct);
if (mysql_num_rows($result)==0){echo 'Неверный логин или пароль! Система чувствительна к регистру!</font>';}
else { // Если проверка прошла
  $data=mysql_fetch_object($result);
  $result_inv=mysql_query("select * from invest_invest where user_id='$data->id' order by data desc",$cnct);
  echo '
  <table cellspacing="0" cellpadding="3" border="1" bordercolor="#804000" width="98%">
  <tr align="center"><td>ID</td><td>Дата открытия</td><td>Сумма</td><td>Осталось</td><td>Реинвестировать</td>
  <td>% в месяц</td><td>Снять досрочно (<b>-'.($straf*100).'%</b>)</td><td>Статус</td></tr>';
  if (mysql_num_rows($result_inv)==0){echo '<tr><td align="center" colspan="8">Вы не сделали еще ниодного вклада.</td></tr>';}
  else {
    for ($i=0;$i<mysql_num_rows($result_inv);$i++){
      $data_inv=mysql_fetch_object($result_inv);
	$status[0]='Активен';
	$status[1]='Закрыт';
	$status[2]='Завершен';
      echo '<tr align="center"><td>'.$data_inv->id.'</td><td>'.$data_inv->data.'</td><td>'.($data_inv->summ*2/2).'$</td>
	<td>';
	$result_inv2=mysql_query("select id, time_ - to_days(now()) + to_days(data) as x from invest_invest
	where id=$data_inv->id",$cnct);
      $data_inv2=mysql_fetch_object($result_inv2);
	if ($data_inv2->x<0){$data_inv2->x=0;}
	echo $data_inv2->x.' дней</td><td>';
	if ($data_inv->reinvest==0){echo 'Нет';}else{echo 'Да';}
	echo '</td><td>';
      $result_per=mysql_query("select * from invest_percents where min_s<='$data_inv->summ' and max_s>='$data_inv->summ'
	and min_period<='$data_inv->time_' and max_period>'$data_inv->time_'",$cnct);
	$data_per=mysql_fetch_object($result_per);
	echo $data_per->per_month.'</td><td>';
	if ($data_inv->status==0){echo '<a href="javascript:thepage(\'sn_v&v_id='.$data_inv->id.'\')">Снять</a>';}
	else {echo '---';}
	echo '</td><td><b>'.$status[$data_inv->status].'</b></td></tr>';
    }
  }
  echo '</table><br><br>
  <b>Статистика по вашим рефералам:</b><br>';
  $res=mysql_query("select * from invest_users where ref_id=$data->id",$cnct);
  echo 'Вами привлечено рефералов: '.mysql_num_rows($res).'.<br>';
  for ($ii=0;$ii<mysql_num_rows($res);$ii++){
    $dt=mysql_fetch_object($res);
    echo 'ID: '.$dt->id.', логин: '.$dt->login.', WMID: '.$dt->wmid.'.<br>';
  }
  echo 'Ваша ссылка для привлечения рефералов:<br>
  <strong>http://www.'.$our_url.'/?mod=reg&comefrom='.$data->id.'</strong>
  </font>';
}
}elseif($mod=='sn_v'){ // Досрочно снять вклад
echo '<font size="4" color="#804000">Досрочное снятие вклада</font><p><font size="2" color="#804000">';
$result=mysql_query("select * from invest_users where login='$login' and pass='$pass'",$cnct);
if (mysql_num_rows($result)==0){echo 'Неверный логин или пароль! Система чувствительна к регистру!</font>';}
else { // Если проверка прошла
  $data=mysql_fetch_object($result);
  $result_inv=mysql_query("select * from invest_invest where user_id='$data->id' and id='$v_id' and status=0",$cnct);
  $data_inv=mysql_fetch_object($result_inv);
  if (mysql_num_rows($result_inv)==0){
    echo 'Введен неверный id вклада. Либо вклад с таким id не принадлежит вам! Либо он уже закрыт.';
  }
  else { // Если вторая проверка прошла
    echo 'Вы зашли на страницу закрытия вклада.<br>
    ID: '.$data_inv->id.', сумма: '.$data_inv->summ.'$, дата открытия: '.$data_inv->data.'<br>
    <strong>Сумма, которую вы получите после закрытия (-'.($straf*100).'%): '.((1-$straf)*$data_inv->summ).'$.</strong><br><br>
    Если вы действительно решили закрыть вклад, то нажмите <strong><a href="javascript:thepage(\'sn_v2&v_id='.$data_inv->id.'\')">сюда</a></strong>';
  }
  echo '</font>';
}
}elseif($mod=='sn_v2'){ // Досрочно снять вклад
echo '<font size="4" color="#804000">Досрочное снятие вклада</font><p><font size="2" color="#804000">';
$result=mysql_query("select * from invest_users where login='$login' and pass='$pass'",$cnct);
if (mysql_num_rows($result)==0){echo 'Неверный логин или пароль! Система чувствительна к регистру!</font>';}
else { // Если проверка прошла
  $data=mysql_fetch_object($result);
  $result_inv=mysql_query("select * from invest_invest where user_id='$data->id' and id='$v_id' and status=0",$cnct);
  $data_inv=mysql_fetch_object($result_inv);
  if (mysql_num_rows($result_inv)==0){
    echo 'Введен неверный id вклада. Либо вклад с таким id не принадлежит вам! Либо он уже закрыт.';
  }
  else { // Если вторая проверка прошла
    echo 'Вклад успешно закрыт! Ваш баланс обновится при заходе на следующую страницу.';
    $bp=(1-$straf)*$data_inv->summ;
    $result_inv2=mysql_query("update invest_invest set status=1 where user_id='$data->id' and id='$v_id'",$cnct);
    $result=mysql_query("update invest_users set balance=balance+$bp where login='$login' and pass='$pass'",$cnct);
  }
}
}elseif($mod=='vklad'){ // Сделать вклад
echo '<font size="4" color="#804000">Сделать вклад</font><p><font size="2" color="#804000">';
$result=mysql_query("select * from invest_users where login='$login' and pass='$pass'",$cnct);
if (mysql_num_rows($result)==0){echo 'Неверный логин или пароль! Система чувствительна к регистру!</font>';}
else { // Если проверка прошла
  $data=mysql_fetch_object($result);
  $r2=mysql_query("select * from invest_percents order by min_period",$cnct);
  $d2=mysql_fetch_object($r2);
  $r3=mysql_query("select * from invest_percents order by min_s",$cnct);
  $d3=mysql_fetch_object($r3);
  echo '<strong>Правила:</strong><br>
  Процентные ставки для вкладов описаны на странице <strong><a href="?mod=princ">"Принципы работы"</a></strong>.<br>
  Не забывайте, что минимальный срок - '.$d2->period.' дней, а минимальная сумма '.round($d3->min_s).'$.<br>
  Досрочное закрытие вклада приведет к потере <strong>15%</strong> от вклада.<br>
  *Если установлена галочка "реинвестировать", то проценты будут начисляться на вклад,
  соответственно потом процент будет больше, если галочка не установлена, то деньги будут
  начисляться сразу на ваш счет в <b>'.$our_name.'</b>. Проценты начисляются ежедневно в 00:00 по московскому времени.<br><br>
  <strong>Делая вклад вы соглашаетесь с этими правилами!</strong><br><br>
  <form method="post" action="?mod=vklad2"><table border="0" cellspacing="0" cellpadding="1" bgcolor="#eed1b5">
  <tr align="center"><td colspan="2"><strong>Форма, чтобы сделать вклад.</strong></td></tr>
  <tr><td width="120" align="center">Сумма, $:</td>
  <td><input name="summ" type="text" value="'.$data->balance.'" class="inp" size="20"></td></tr>
  <tr><td align="center">Срок, дней:</td>
  <td><input name="time_" type="text" value="30" class="inp" size="20"></td></tr>
  <tr><td align="center">Реинвестировать*:</td>
  <td><input name="reinvest" type="checkbox" value="1" checked>
  <input type="hidden" name="login" value="'.$login.'">
  <input type="hidden" name="pass" value="'.$pass.'">
  </td></tr>
  <tr align="center"><td colspan="2">
  <input value="Сделать вклад!" type="submit" class="inp" style="width=100%"></td></tr></table></form>
';
  echo '</font>';
}
}elseif($mod=='vklad2'){ // Сделать вклад
echo '<font size="4" color="#804000">Сделать вклад</font><p><font size="2" color="#804000">';
$result=mysql_query("select * from invest_users where login='$login' and pass='$pass'",$cnct);
if (mysql_num_rows($result)==0){echo 'Неверный логин или пароль! Система чувствительна к регистру!</font>';}
else { // Если проверка прошла
  $data=mysql_fetch_object($result);
  $r2=mysql_query("select * from invest_percents order by min_period",$cnct);
  $d2=mysql_fetch_object($r2);
  $r3=mysql_query("select * from invest_percents order by min_s",$cnct);
  $d3=mysql_fetch_object($r3);
  if ($summ>$data->balance){echo 'Вы ввели слишком большую сумму - у вас недостаточно средств на балансе.';}
  elseif ($summ<$d3->min_s){echo 'Минимальная сумма для того чтобы открыть вклад = '.round($d3->min_s).'$!';}
  elseif ($time_<$d2->period){echo 'Минимальный срок для вклада - '.$d2->period.' дней!';}
  else {
    $result_per=mysql_query("select * from invest_percents where
    min_period<='$time_' and min_s<='$summ' and max_s>='$summ' order by min_period desc",$cnct);
    $data_per=mysql_fetch_object($result_per);
    $res_ins=mysql_query("insert into invest_invest (data,user_id,summ,reinvest,time_,status)
    values (NOW(),'$data->id','$summ','$reinvest','$time_',0)",$cnct);
    $res_upd=mysql_query("update invest_users set balance=balance-$summ where login='$login'");
    echo 'Вклад удачно совершен!<!-------Begin AffiliateNetwork.ru Tracking Code------>
<img src="http://www.affiliatenetwork.ru/c/track.php?OFID=132&totalsale=0.1&SID=suslik35" height="1" width="1">
<!-------End AffiliateNetwork.ru Tracking Code------> Процентная ставка: '.((round($data_per->per_month*10))/10).'%/месяц.';
  }
  echo '</font>';
}}
elseif($mod=='edit'){ // Редактировать данные
echo '<font size="4" color="#804000">Редактировать данные</font><p><font size="2" color="#804000">';
$result=mysql_query("select * from invest_users where login='$login' and pass='$pass'",$cnct);
if (mysql_num_rows($result)==0){echo 'Неверный логин или пароль! Система чувствительна к регистру!</font>';}
else { // Если проверка прошла
$data=mysql_fetch_object($result);
echo 'Ниже приведены поля, которые вы можете отредактировать.';
if ($edited==1){echo '<br><strong>Информация отредактирована!</strong>';}
echo '<br><br></font>
<form action="?mod=edit2" method="post">
<table border="0" cellspacing="0" cellpadding="1" bgcolor="#eed1b5">
<tr>
<td align="center">Пароль:</td>
<td align="right"><input name="newpass" type="password" value="'.$data->pass.'" class="inp" size="30"></td>
</tr>
<tr>
<td align="center">Повторите:</td>
<td align="right"><input name="newpass2" type="password" value="'.$data->pass.'" class="inp" size="30"></td>
</tr>
<tr>
<td align="center">WMID:</td>
<td align="right"><input name="wmid" type="text" value="'.$data->wmid.'" class="inp" size="30"></td>
</tr><tr>
<td align="center">Кошелек::</td>
<td align="right"><input name="purse" type="text" value="'.$data->purse.'" class="inp" size="30"><input type="hidden" name="login" value="'.$login.'"><input type="hidden" name="pass" value="'.$pass.'"></td>
</tr>
<tr>
<td colspan="2" align="center"><input type="submit" value="Отредактировать информацию!" class="inp"></td>
</tr>
</table></form>
';
}}
elseif ($mod=='edit2'){ // Редактировать данные
echo '<font size="4" color="#804000">Редактировать данные</font><p><font size="2" color="#804000">';
$result=mysql_query("select * from invest_users where login='$login' and pass='$pass'",$cnct);
if (mysql_num_rows($result)==0){echo 'Неверный логин или пароль! Система чувствительна к регистру!</font>';}
else { // Если проверка прошла

if ($newpass!=$newpass2){echo 'Вы ввели разные пароли!';}
elseif (strlen($newpass)<3){echo 'Минимальная длина пароля 3 символа!';}
elseif (strlen($wmid)!=12){echo 'Длина WMID должна быть равна 12 символам!';}
elseif (substr($purse,0,1)!='Z'){echo 'Кошелек должен начинаться с большой буквы Z!';}
elseif (strlen($purse)!=13){echo 'Длина кошелька должна быть равна 13 символам!';}
else {
  $result=mysql_query("update invest_users set pass='$newpass',wmid='$wmid',purse='$purse' where login='$login' and pass='$pass'",$cnct);
  echo 'Информация обновляется...</font>
  <form action="?mod=edit" method="post" name="submit_me">
  <input type="hidden" name="login" value="'.$login.'">
  <input type="hidden" name="pass" value="'.$newpass.'">
  <input type="hidden" name="edited" value="1">
  </form>
  <script>
  submit_me.submit();
  </script>';
}

}}
elseif ($mod=='getcash'){ // Вывести деньги
echo '<font size="4" color="#804000">Послать заявку на вывод денег.</font><p><font size="2" color="#804000">';
$result=mysql_query("select * from invest_users where login='$login' and pass='$pass'",$cnct);
if (mysql_num_rows($result)==0){echo 'Неверный логин или пароль! Система чувствительна к регистру!</font>';}
else { // Если проверка прошла
  $data=mysql_fetch_object($result);
  echo 'Посылать заявку можно раз в месяц. В этом месяце вы ';
    $result2=mysql_query("select * from invest_ask where data >= DATE_FORMAT(now(),\"%Y-%m-01\") and user_id='$data->id'",$cnct);
    if (mysql_num_rows($result2)>0){echo 'уже';}
    else {echo 'еще не';}
  echo ' посылали заявку.<br>
  Ваш кошелек для получения: '.$data->purse.'. Изменить его вы можете в разделе "изменить информацию".<br>
  Минимальная сумма для снятия: '.$minimum_out.'$.<br><br></font>
  <form action="?mod=getcash2" method="post">
  <table border="0" cellspacing="0" cellpadding="1" bgcolor="#eed1b5"><tr><td align="center" width="50">Сумма:</td>
  <td align="right"><input name="summ" type="text" value="'.$data->balance.'" class="inp" size="10">
  <input name="login" value="'.$login.'" type="hidden"><input name="pass" value="'.$pass.'" type="hidden">
  </td></tr><tr>
  <td colspan="2" align="center"><input type="submit" value="Вывести!" class="inp" style="width=100%"></td></tr>
  </table></form>';
}}
elseif ($mod=='getcash2'){ // Вывести деньги
echo '<font size="4" color="#804000">Заявка на вывод денег.</font><p><font size="2" color="#804000">';
$result=mysql_query("select * from invest_users where login='$login' and pass='$pass'",$cnct);
if (mysql_num_rows($result)==0){echo 'Неверный логин или пароль! Система чувствительна к регистру!</font>';}
else { // Если проверка прошла
  $data=mysql_fetch_object($result);
  $result2=mysql_query("select * from invest_ask where data >= DATE_FORMAT(now(),\"%Y-%m-01\") and user_id='$data->id'",$cnct);
  if ($summ>$data->balance){echo 'Вы ввели сумму, больше, чем у вас есть на балансе!';}
  elseif ($summ<$minimum_out){echo 'Вы ввели сумму меньше минимальной суммы для вывода!';}
  elseif (mysql_num_rows($result2)>0){echo 'В этом месяце вы уже посылали заявку!';}
  else {
    echo 'Ваша заявка удачно отослана и будет рассмотрена в ближайшее время.';
    $result=mysql_query("update invest_users set balance=balance-$summ where login='$login' and pass='$pass'",$cnct);
    $result=mysql_query("insert into invest_ask (data,user_id,summ,status) values (NOW(),'$data->id','$summ',0)",$cnct);
  }
}}
elseif ($mod=='moneyin'){ // Пополнение счета
echo '<font size="4" color="#804000">Пополнение счета.</font><p><font size="2" color="#804000">';
$result=mysql_query("select * from invest_users where login='$login' and pass='$pass'",$cnct);
if (mysql_num_rows($result)==0){echo 'Неверный логин или пароль! Система чувствительна к регистру!</font>';}
else { // Если проверка прошла
  echo 'Вы будете перенаправлены на страницу <b>RoboXchange</b>, чтобы узнать, сколько вы получите,
 введите сумму, на которую вы хотите пополнить, в поле "сколько получит продавец",
  вы узнаете, сколько зачислится денег на ваш баланс. Существует большой выбор платежных систем для оплаты!';

$user=mysql_fetch_object($result);
$result=mysql_query("insert into invest_invoice (data,user_id) values (NOW(),'$user->id')");
$result=mysql_query("select max(id) from invest_invoice where user_id=$user->id");

// регистрационная информацмя

$mrh_login = $rb_lg;         // логин
$mrh_pass1 = $rb_ps1;     // пароль1

//параметры магазина
list($inv_id)=mysql_fetch_row($result);                 //номер счета
// описание покупки
$inv_desc  = "Popolnenie-balansa";
$out_summ  = "";               // сумма покупки
$shp_item = 1;                 // тип товара

// формирование подписи
$crc  = md5("$mrh_login:$out_summ:$inv_id:$mrh_pass1:shp_item=$shp_item");

// вывод HTML страницы с кнопкой для пополнения биллинга
print "<form action='https://www.roboxchange.com/ssl/calc.asp' method=POST target=_blank>".
      "<input type=hidden name=mrh value=$mrh_login>".
      "<input type=hidden name=out_summ value=$out_summ>".
      "<input type=hidden name=inv_id value=$inv_id>".
      "<input type=hidden name=inv_desc value=$inv_desc>".
      "<input type=hidden name=crc value=$crc>".
      "<input type=hidden name=shp_item value=$shp_item>".
      "<input type=submit value='Перейти на страницу пополнения счета.' class=inp>".
      "</form>";
}}
?>
</td></tr></table>
<br>

</td>
<td width="120" bgcolor="#ffe2c6" align="center" valign="top"><br>
<table border="1" cellpadding="2" cellspacing="0" width="100" bgcolor="#ffe2c6" align="center" bordercolor="#804000">
<tr bgcolor="#804000" align="center">
<td><b><font size="3" color="#ffe2c6">Реклама</font></b></td>
</tr>
<tr>
<td align="center">

<!-----------Begin AffiliateNetwork.ru code---------->
<img src="http://www.affiliatenetwork.ru/c/view.php?OFID=94&AFID=740&CRID=205" width="1" height="1" border="0"><a href="http://www.affiliatenetwork.ru/c/?OFID=94&AFID=740&CRID=205">	<img src="http://www.affiliatenetwork.ru/banners/168/205.gif" width="100" height="100" border="0">
	</a>
<!----------End AffiliateNetwork.ru code---------->

</td>
</tr>
<tr>
<td align="center">

<!-----------Begin AffiliateNetwork.ru code---------->
<img src="http://www.affiliatenetwork.ru/c/view.php?OFID=37&AFID=740&CRID=84" width="1" height="1" border="0"><a href="http://www.affiliatenetwork.ru/c/?OFID=37&AFID=740&CRID=84">	<img src="http://www.affiliatenetwork.ru/banners/6/84.gif" width="100" height="100" border="0">
	</a>
<!----------End AffiliateNetwork.ru code---------->

</td>
</tr>
</table>
</td>
</tr>
</table>
</body>
</html>